打印

ZendGuardLoader.so: undefined symbol: executor_globals

ZendGuardLoader.so: undefined symbol: executor_globals

军哥大神您好,系统版本:Ubuntu 16.04.4 LTS (GNU/Linux 4.4.0-127-generic x86_64)
安装了LNMPA,在执行定时任务时候,系统邮件总是出现下面的提示,请问如何解决?
引用:
From root@anonbox.io  Mon Jun 11 00:00:03 2018
Return-Path:
Received: from anonbox.io (localhost [127.0.0.1])
        by anonbox.anonbox.io (8.15.2/8.15.2/Debian-3) with ESMTP id w5B00251026944
        for ; Mon, 11 Jun 2018 00:00:02 GMT
Received: (from root@localhost)
        by anonbox.io (8.15.2/8.15.2/Submit) id w5B001dF026942
        for root; Mon, 11 Jun 2018 00:00:01 GMT
Date: Mon, 11 Jun 2018 00:00:01 GMT
Message-Id: <201806110000.w5B001dF026942@anonbox.io>
From: root@anonbox.io (Cron Daemon)
To: root@anonbox.io
Subject: Cron  /usr/local/php/bin/php /home/wwwroot/www.anonbox.io/cronjob/auto.php
MIME-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 8bit
X-Cron-Env:
X-Cron-Env:
X-Cron-Env:
X-Cron-Env:

Failed loading /usr/local/zend/ZendGuardLoader.so:  /usr/local/zend/ZendGuardLoader.so: undefined symbol: executor_globals
在命令行执行:php -v,结果是:
引用:
Failed loading /usr/local/zend/ZendGuardLoader.so:  /usr/local/zend/ZendGuardLoader.so: undefined symbol: executor_globals
PHP 5.6.36 (cli) (built: Jun  6 2018 00:51:46)
Copyright (c) 1997-2016 The PHP Group
Zend Engine v2.6.0, Copyright (c) 1998-2016 Zend Technologies
LNMPA是默认安装的,请军哥协助解决这个关于ZendGuardLoader.so的问题,非常感谢您的帮助!!

TOP

apache 2.4吗,这个版本的好吧zendguardloader删掉,event模式下用不了,只有prefork模式才行

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP

引用:
原帖由 licess 于 2018-6-11 11:24 发表
apache 2.4吗,这个版本的好吧zendguardloader删掉,event模式下用不了,只有prefork模式才行
是的 ,军哥!apache 2.4。
请问如何卸载zendguardloader?会不会影响lnmpa的稳定?

TOP

引用:
原帖由 licess 于 2018-6-11 11:24 发表
apache 2.4吗,这个版本的好吧zendguardloader删掉,event模式下用不了,只有prefork模式才行
军哥,我移除了 /usr/local/zend 下的ZendGuardLoader.so,以及 /usr/local/php/conf.d 下的 002-ZendGuardLoader.ini。然后命令行执行了  ./addons.sh install opcache
现在查阅 php -v, 显示:
引用:
PHP 5.6.36 (cli) (built: Jun  6 2018 00:51:46)
Copyright (c) 1997-2016 The PHP Group
Zend Engine v2.6.0, Copyright (c) 1998-2016 Zend Technologies
    with Zend OPcache v7.0.6-dev, Copyright (c) 1999-2016, by Zend Technologies
看起来启用了OPcache。
可是为何探针还显示ZendGuardLoader是启用呢?
请问我这个卸载zendguardloader的步骤对吗?如何把zendguardloader这个启用状态去掉?
附件: 您所在的用户组无法下载或查看附件

TOP

用不到zendguard加密的php程序的话这个没用处
上面没有显示启用,后边x才表示你是否启用了

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP

引用:
原帖由 licess 于 2018-6-11 19:18 发表
用不到zendguard加密的php程序的话这个没用处
上面没有显示启用,后边x才表示你是否启用了
好的,谢谢军哥!祝您天天吉祥!

TOP